=== debian/changelog ===
dbus-broker (26-1+deb11u2) bullseye; urgency=medium

  * Backport patch to fix assertion failure when disconnecting peer groups
  * Backport patch to fix memory leak
  * Backport patches to fix null pointer dereference (CVE-2022-31213)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Aug 2022 12:55:19 +0100

dbus-broker (26-1+deb11u1) bullseye; urgency=medium

  * Backport strnspn-fix-buffer-overflow.patch to fix CVE-2022-31212
    (Closes: #1013343)

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Jun 2022 22:27:17 +0100

dbus-broker (26-1) unstable; urgency=low

  * Update upstream source from tag 'upstream/26'
  * maintscript: do reboot notification on first install too (Closes:
    #980540)
  * Do not stop the service on package removal (Closes: #980541)
  * Do not start after installation
  * Do not fail the installation if a reload fails
  * Add autopkgtest and run unit tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 22 Jan 2021 00:00:39 +0000

dbus-broker (25-2) unstable; urgency=low

  * Upload to unstable, no changes.

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 14:40:56 +0000

dbus-broker (25-1) experimental; urgency=medium

  [ Daniele Nicolodi ]
  * Initial release. Closes: #892001
  * Install NEWS file as package upstream changelog.
  * Bump Standards-Version to 4.1.4. No changes required.
  * Bump debhelper compat to 11. No changes required.
  * Do not restart the system bus daemon on upgrade.
  * New upstream release 12.
  * New upstream release 13.
  * Extend README.Debian.
  * Suggest a reboot on upgrade or when replacig dbus-deamon.
  * Check $DEB_BUILD_OPTIONS in override_dh_auto_test.
  * Enable all hardening features.
  * New upstream release 14.

  [ Luca Boccassi ]
  * gbp.conf: change main branch to debian/sid
  * Update d/watch file to get release tarball instead of git archive
  * Update upstream source from tag 'upstream/25'
  * Ship NEWS.md (converted from NEWS)
  * Build-Depend on libcap-ng-dev for audit
  * Convert to python3-docutils
  * Remove dependency on libglib, no longer necessary
  * Do not build documentation with nodoc profile/options
  * Remove dbus-broker-docs.docs, no such package
  * Remove dh_auto_test override, no longer needed
  * Update Vcs links in d/control
  * Add debian/* section to d/copyright
  * Bump Standards-Version to 4.5.1
  * Update d/copyright
  * Switch to debhelper-compat 13
  * Enable build-time modern kernel features
  * Update /run/reboot-required.pkgs on upgrade
  * Add Provides: dbus-system-bus, dbus-session-bus
  * Add myself as Maintainer
  * Mark dbus-broker as Multi-Arch: foreign
  * Remove user/dbus.service symlink, no longer necessary
  * Reload on upgrade
  * Add dpkg triggers for dbus config files
  * Add lintian override file
  * Remove Provides: dbus-session-bus, dependency reversed

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Dec 2020 23:18:55 +0000
