=== debian/control ===
Source: dbus-broker
Section: admin
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libaudit-dev (>= 2.7),
 libcap-ng-dev (>= 0.6),
 libdbus-1-dev (>= 1.10),
 libexpat1-dev (>= 2.2),
 libselinux1-dev (>= 2.5),
 libsystemd-dev (>= 230),
 linux-libc-dev (>= 4.14),
 meson (>= 0.44),
 pkg-config (>= 0.29),
 python3-docutils (>= 0.13) <!nodoc>,
 systemd (>= 230),
Standards-Version: 4.5.1
Homepage: https://github.com/bus1/dbus-broker/
Vcs-Git: https://salsa.debian.org/bluca/dbus-broker.git
Vcs-Browser: https://salsa.debian.org/bluca/dbus-broker
Rules-Requires-Root: no

Package: dbus-broker
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 systemd-sysv (>= 230),
 dbus,
#Provides: dbus-system-bus
Description: Linux D-Bus Message Broker
 The dbus-broker project is an implementation of a message bus as
 defined by the D-Bus specification. Its aim is to provide high
 performance and reliability, while keeping compatibility to the D-Bus
 reference implementation. It is exclusively written for Linux
 systems, and makes use of many modern features provided by recent
 Linux kernel releases.
