=== debian/watch ===
version=4
https://github.com/bus1/dbus-broker/releases .*/v\d.+/dbus-broker-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
