=== debian/changelog ===
dbus-broker (29-4build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:51:22 +0000

dbus-broker (29-4) unstable; urgency=medium

  * Backport patches to fix activation of units with failing Condition*=
    checks
  * Bump d/copyright year range
  * Update Lintian overrides syntax
  * Note that 0002-Run-user-service-in-session.slice.patch was merged
    upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Jan 2022 19:52:37 +0000

dbus-broker (29-3) unstable; urgency=medium

  * Backport patch to run user broker in session.slice

 -- Luca Boccassi <bluca@debian.org>  Sun, 31 Oct 2021 23:41:59 +0000

dbus-broker (29-2) unstable; urgency=medium

  * Refresh 0001-Restore-compatibility-with-older-libaudit-
    libselinux.patch
  * Depend on dbus-system-bus-common and provide dbus-system-bus
  * Bump Standards-Version to 4.6.0, no changes
  * Update lintian-override syntax
  * Add upstream/metadata file

 -- Luca Boccassi <bluca@debian.org>  Fri, 29 Oct 2021 00:09:26 +0100

dbus-broker (29-1) unstable; urgency=medium

  * Move package maintenance to the Utopia Team
  * Update upstream source from tag 'upstream/29'
  * Drop deprecated 'linux-4-17' build option
  * Backport patch to restore compatibility with libselinux 3.0

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:37:08 +0100
