=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: dbus-broker
 Section: admin
 Priority: optional
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libaudit-dev (>= 2.7),
@@ -15,10 +17,10 @@
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/bus1/dbus-broker/
-Vcs-Git: https://salsa.debian.org/bluca/dbus-broker.git
-Vcs-Browser: https://salsa.debian.org/bluca/dbus-broker
+Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
 Rules-Requires-Root: no
 
 Package: dbus-broker
@@ -28,8 +30,9 @@
  ${shlibs:Depends},
  ${misc:Depends},
  systemd-sysv (>= 230),
- dbus,
-#Provides: dbus-system-bus
+ dbus-system-bus-common,
+Recommends: dbus-bin
+Provides: dbus-system-bus
 Description: Linux D-Bus Message Broker
  The dbus-broker project is an implementation of a message bus as
  defined by the D-Bus specification. Its aim is to provide high
