=== debian/tests/control ===
Tests: testsuite.sh
Restrictions: allow-stderr, build-needed
Depends: build-essential, @builddeps@
