=== debian/changelog ===
dbus-broker (31-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump dependency on Meson to match upstream's minimum

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 15:00:47 +0100

dbus-broker (31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/31'
  * Drop patches merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 May 2022 22:33:29 +0100

dbus-broker (30-2) unstable; urgency=medium

  * Backport fixes for assert and memory leaks from upstream (Closes:
    #1010898)
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 May 2022 21:30:25 +0100

dbus-broker (30-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/30'
  * Drop patches merged upstream
  * Update d/copyright to fix Lintian warnings

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 May 2022 19:48:03 +0100

dbus-broker (29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 18 Aug 2021 22:19:18 +0100
