## dbus-broker 32

=== Makefile ===
--- 
+++ 
@@ -8,31 +8,17 @@
 
 all:
 	@echo "Available targets:"
-	@echo "    osi: Build test-container via mkosi"
-	@echo "    run: Run test-container via nspawn"
 	@echo "release: Print checklist for releases"
+	@echo " fedpkg: Print checklist for fedora packaging"
 .PHONY: all
-
-osi:
-	mkosi \
-		-C test/osi/ \
-		--build-sources "../../" \
-		--force
-.PHONY: osi
-
-run:
-	systemd-nspawn \
-		-b \
-		-D test/osi/rootfs/ \
-		--bind-ro "${BUILDDIR}/src/dbus-broker:/usr/bin/dbus-broker" \
-		--bind-ro "${BUILDDIR}/src/dbus-broker-launch:/usr/bin/dbus-broker-launch"
-.PHONY: run
 
 VNEXT=2
 VPREV="$$((${VNEXT} - 1))"
 release:
 	@echo "Checklist for release of dbus-broker-${VNEXT}:"
 	@echo
+	@echo " * Update subprojects via:"
+	@echo "       meson subprojects update"
 	@echo " * Fill in NEWS via:"
 	@echo "       git log v${VPREV}..HEAD"
 	@echo " * List contributors in NEWS via:"
@@ -51,3 +37,23 @@
 	@echo " * Upload tarball to github via custom release"
 	@echo
 .PHONY: release
+
+fedpkg:
+	@echo "Checklist for Fedora releases (for each branch):"
+	@echo
+	@echo " * Fetch Kerberos ticket:"
+	@echo "       kinit <fas>@FEDORAPROJECT.ORG"
+	@echo
+	@echo " * Edit and Update dbus-broker.spec"
+	@echo
+	@echo " * Pull new sources:"
+	@echo "       curl -O dbus-broker-${VNEXT}.tar.xz https://github.com/bus1/dbus-broker/releases/download/v${VNEXT}/dbus-broker-${VNEXT}.tar.xz"
+	@echo " * Push new sources:"
+	@echo "       fedpkg new-sources dbus-broker-${VNEXT}.tar.xz"
+	@echo
+	@echo " * Commit and push at least once"
+	@echo
+	@echo " * Submit build to Koji:"
+	@echo "       fedpkg build"
+	@echo
+	@echo " * Submit update to Bodhi"
