=== debian/changelog ===
dbus-broker (32-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Revert "Enable apparmor support"

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Aug 2022 11:30:08 +0100

dbus-broker (32-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/32'
  * Enable apparmor support
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Aug 2022 13:37:31 +0100
