=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libselinux1-dev (>= 2.5),
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
- meson (>= 0.44),
+ meson (>= 0.60.0),
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
