## dbus-broker 33

=== debian/changelog ===
dbus-broker (33-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/33'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v33
  * postinst: remove hard dependency on sysv-utils

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Feb 2023 17:11:47 +0000

dbus-broker (32-2) unstable; urgency=medium

  * Add upstream signing key
  * d/watch: fetch signature, use api.github.com
  * Bump Standards-Version to 4.6.2, no changes
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Jan 2023 16:30:34 +0000
