=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ libapparmor-dev (>= 3.0),
  libaudit-dev (>= 2.7),
  libcap-ng-dev (>= 0.6),
  libdbus-1-dev (>= 1.10),
@@ -13,11 +14,11 @@
  libselinux1-dev (>= 2.5),
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
- meson (>= 0.60.0),
+ meson (>= 0.44),
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
