=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
BUILD_DOCS=false
else
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
BUILD_DOCS=false
# to stop dh_installdoc from running
export DEB_BUILD_PROFILES += nodoc
else
BUILD_DOCS=true
endif
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=$(BUILD_DOCS) -Daudit=true -Dselinux=true -Dapparmor=true -Dlauncher=true

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

# like dbus-deamon dbus-broker does not support being restarted
# yet. do not restart the deamon on upgrading to a new version
override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start
