## dbus-broker 35

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+option('apparmor', type: 'boolean', value: false, description: 'AppArmor support')
 option('audit', type: 'boolean', value: false, description: 'Audit support')
 option('docs', type: 'boolean', value: false, description: 'Build documentation')
 option('launcher', type: 'boolean', value: true, description: 'Build compatibility launcher')
