=== debian/changelog ===
dbus-broker (35-2ubuntu0.1) noble; urgency=medium

  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD (LP: #2110040)
  * Backport patches to fix FD use-after-close (LP: #2061155)

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 May 2025 13:34:08 +0100

dbus-broker (35-2) unstable; urgency=medium

  * Build-depend on systemd-dev instead of systemd
  * d/p/github_apparmor_support.patch: enable apparmor support
  * Build depend on pkgconf instead of pkg-config
  * Drop override for deprecated tag package-supports-alternative-init-
    but-no-init.d-script

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Feb 2024 11:42:07 +0000

dbus-broker (35-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/35'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v35

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 01:31:54 +0100

dbus-broker (34-1) unstable; urgency=medium

  * Enable ELF metadata stamping
  * Update upstream source from tag 'upstream/34'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v34
    (Closes: #1043177)
  * Refresh Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Dec 2023 11:00:17 +0000
