=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: dbus-broker
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-package-notes,
  libapparmor-dev (>= 3.0),
  libaudit-dev (>= 2.7),
  libcap-ng-dev (>= 0.6),
@@ -15,9 +17,9 @@
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
  meson (>= 0.44),
- pkg-config (>= 0.29),
+ pkgconf,
  python3-docutils (>= 0.13) <!nodoc>,
- systemd (>= 230),
+ systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
