=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
