## dbus-broker 36

=== debian/changelog ===
dbus-broker (36-1ubuntu0.25.04.1) plucky; urgency=medium

  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD (LP: #2110040)

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 May 2025 13:15:10 +0100

dbus-broker (36-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/36'
  * Bump Standards-Version to 4.7.0, no changes
  * apparmor patch: refresh and use DEP-3 header

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Apr 2024 12:16:38 +0100
