=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  pkgconf,
  python3-docutils (>= 0.13) <!nodoc>,
  systemd-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
