=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 option('reference-test', type: 'boolean', value: false, description: 'Run test suite against reference implementation')
 option('selinux', type: 'boolean', value: false, description: 'SELinux support')
 option('system-console-users', type: 'array', value: [], description: 'Additional set of names of system-users to be considered at-console')
+option('tests', type: 'boolean', value: false, description: 'Include tests in the distribution')
