=== subprojects/libcshquote-1/meson_options.txt ===
option('reference-test', type: 'boolean', value: false, description: 'Run tests against reference implementation')
