=== subprojects/libcrbtree-3/src/docs/requirements.txt ===
c-apidocs>=0.0.3
clang>=6
hawkmoth>=0.7
meson>=0.60
ninja>=1.10
