=== debian/changelog ===
dbus-broker (37-4) unstable; urgency=medium

  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3
  * Refresh apparmor enablement backports based on latest upstream PR
  * Backport patch to avoid crash when querying apparmor (Closes:
    #1123876)

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Dec 2025 12:32:17 +0000

dbus-broker (37-3) unstable; urgency=medium

  [ Christian Göttsche ]
  * Update libselinux dependency to fix autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Nov 2025 21:45:10 +0000

dbus-broker (37-2) unstable; urgency=medium

  * postinst: add workaround for reload timing out on upgrade

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Jul 2025 21:48:29 +0100

dbus-broker (37-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/37'
    For a full list of changes, see:
    https://github.com/bus1/dbus-broker/releases/tag/v37
  * Drop util-sockopt-also-check-for-ESRCH.patch

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Jun 2025 14:58:24 +0100

dbus-broker (36-2) unstable; urgency=medium

  * Drop libaudit/libselinux compat patch, not needed since bookworm
  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Bump meson build dep version to match meson.build
  * Drop versioned constraints satisfied since bullseye

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Apr 2025 19:30:26 +0100
