=== debian/control ===
Source: dbus-broker
Section: admin
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-package-notes,
 libapparmor-dev (>= 3.0),
 libaudit-dev,
 libcap-ng-dev,
 libdbus-1-dev,
 libexpat1-dev,
 libselinux-dev,
 libsystemd-dev,
 meson (>= 0.60),
 pkgconf,
 python3-docutils <!nodoc>,
 systemd-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/bus1/dbus-broker/
Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
Rules-Requires-Root: no

Package: dbus-broker
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 systemd-sysv,
 dbus-system-bus-common,
Recommends: dbus-bin
Provides: dbus-system-bus
Description: Linux D-Bus Message Broker
 The dbus-broker project is an implementation of a message bus as
 defined by the D-Bus specification. Its aim is to provide high
 performance and reliability, while keeping compatibility to the D-Bus
 reference implementation. It is exclusively written for Linux
 systems, and makes use of many modern features provided by recent
 Linux kernel releases.
